--PSPMoney v.3.0 by A. Brummer alias uPSP_08

--Intro-Bilder
laden=pge.texture.load("/img/laden.png")
scheine=pge.texture.load("/img/scheine.png")

--Farbdefinition
rot=pge.gfx.createcolor(255,0,0)
gruen=pge.gfx.createcolor(0,255,0)
back=pge.gfx.createcolor(254,254,205)
schwarz=pge.gfx.createcolor(0,0,0)
blau=pge.gfx.createcolor(0,0,255)
--Farbdefinition Ende

--Variablen
gross=pge.font.load("verdana.ttf",30)
mittel=pge.font.load("verdana.ttf",19)
mittelklein=pge.font.load("verdana.ttf",16)
klein=pge.font.load("verdana.ttf",12)
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
seite=2
eingabe=0
ausgabe=0
osk_aktiv=0
auswahllinks=1
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,20,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
auswahlrechts=1
stellelinks=1
stellerechts=0
seitelinks=1
seiterechts=1
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,40,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
if pge.file.exists(pge.dir.getcwd().."/wechselkurse.lua") then
dofile(pge.dir.getcwd().."/wechselkurse.lua")
else
--Wechselkurse zum Euro
DEM=1.95583
datum="2009-10-01"
USD=1.4539
JPY=130.78
BGN=1.9558
CZK=25.420
DKK=7.4449
EEK=15.6466
GBP=0.91085
HUF=270.26
LTL=3.4528
LVL=0.7083
PLN=4.2450
RON=4.2688
SEK=10.1890
CHF=1.5165
NOK=8.4455
HRK=7.2550
RUB=43.7294
TRY=2.1750
AUD=1.6539
BRL=2.5808
CAD=1.5601
CNY=9.9248
HKD=11.2679
IDR=13994.67
INR=69.4380
KRW=1713.38
MXN=19.7207
MYR=5.0392
NZD=2.0141
PHP=68.414
SGD=2.0542
THB=48.698
ZAR=11.1161
end
--Variablen Ende
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,60,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
--Bilder
--Backgrounds
bg_spr_akt=pge.texture.load("/img/background.png")
background=pge.texture.load("/img/bgmain.png")
backgroundhilfe=pge.texture.load("/img/bghelp.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,80,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
--Flaggen
deu=pge.texture.load("/img/Flaggen/deu.png")
grosbrit=pge.texture.load("/img/Flaggen/grosbrit.png")
usa=pge.texture.load("/img/Flaggen/usa.png")
eu=pge.texture.load("/img/Flaggen/eu.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,100,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
japan=pge.texture.load("/img/Flaggen/japan.png")
australien=pge.texture.load("/img/Flaggen/australien.png")
brasil=pge.texture.load("/img/Flaggen/brasil.png")
bulgarien=pge.texture.load("/img/Flaggen/bulgarien.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,120,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
china=pge.texture.load("/img/Flaggen/china.png")
daenemark=pge.texture.load("/img/Flaggen/daenemark.png")
estland=pge.texture.load("/img/Flaggen/estland.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,140,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
hongkong=pge.texture.load("/img/Flaggen/hongkong.png")
indien=pge.texture.load("/img/Flaggen/indien.png")
indonesien=pge.texture.load("/img/Flaggen/indonesien.png")
kanada=pge.texture.load("/img/Flaggen/kanada.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,160,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
kroatien=pge.texture.load("/img/Flaggen/kroatien.png")
lettland=pge.texture.load("/img/Flaggen/lettland.png")
litauen=pge.texture.load("/img/Flaggen/litauen.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,180,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
malaysia=pge.texture.load("/img/Flaggen/malaysia.png")
mexiko=pge.texture.load("/img/Flaggen/mexiko.png")
neusee=pge.texture.load("/img/Flaggen/neusee.png")
norwegen=pge.texture.load("/img/Flaggen/norwegen.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,200,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
philippinen=pge.texture.load("/img/Flaggen/philippinen.png")
polen=pge.texture.load("/img/Flaggen/polen.png")
rumaenien=pge.texture.load("/img/Flaggen/rumaenien.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,220,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
russland=pge.texture.load("/img/Flaggen/russland.png")
schweden=pge.texture.load("/img/Flaggen/schweden.png")
schweiz=pge.texture.load("/img/Flaggen/schweiz.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,240,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
singapur=pge.texture.load("/img/Flaggen/singapur.png")
suedafrika=pge.texture.load("/img/Flaggen/suedafrika.png")
suedkorea=pge.texture.load("/img/Flaggen/suedkorea.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,260,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
thailand=pge.texture.load("/img/Flaggen/thailand.png")
tschechien=pge.texture.load("/img/Flaggen/tschechien.png")
tuerkei=pge.texture.load("/img/Flaggen/tuerkei.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,280,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
ungarn=pge.texture.load("/img/Flaggen/ungarn.png")
--Tasten
select=pge.texture.load("/img/Tasten/select.png")
dreieck=pge.texture.load("/img/Tasten/dreieck.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,300,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
start=pge.texture.load("/img/Tasten/start.png")
quadrat=pge.texture.load("/img/Tasten/quadrat.png")
kreis=pge.texture.load("/img/Tasten/kreis.png")
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,320,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
cross=pge.texture.load("/img/Tasten/x.png")
updown=pge.texture.load("/img/Tasten/updown.png")
leftright=pge.texture.load("/img/Tasten/leftright.png")
--Bilder Ende
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draw(60,230,340,14)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()


--Funtionen
function ausrechnen()
if seitelinks==seiterechts and auswahllinks==auswahlrechts then
ausgabe=eingabe
else
if seitelinks==1 then
if auswahllinks==1 then
ineuro=eingabe/USD
elseif auswahllinks==2 then
ineuro=eingabe/CAD
elseif auswahllinks==3 then
ineuro=eingabe/MXN
elseif auswahllinks==4 then
ineuro=eingabe/BRL
elseif auswahllinks==5 then
ineuro=eingabe
elseif auswahllinks==6 then
ineuro=eingabe/GBP
elseif auswahllinks==7 then
ineuro=eingabe/CHF
end
elseif seitelinks==2 then
if auswahllinks==1 then
ineuro=eingabe/DEM
elseif auswahllinks==2 then
ineuro=eingabe/PLN
elseif auswahllinks==3 then
ineuro=eingabe/LTL
elseif auswahllinks==4 then
ineuro=eingabe/LVL
elseif auswahllinks==5 then
ineuro=eingabe/EEK
elseif auswahllinks==6 then
ineuro=eingabe/CZK
elseif auswahllinks==7 then
ineuro=eingabe/HUF
end
elseif seitelinks==3 then
if auswahllinks==1 then
ineuro=eingabe/SEK
elseif auswahllinks==2 then
ineuro=eingabe/NOK
elseif auswahllinks==3 then
ineuro=eingabe/DKK
elseif auswahllinks==4 then
ineuro=eingabe/HRK
elseif auswahllinks==5 then
ineuro=eingabe/BGN
elseif auswahllinks==6 then
ineuro=eingabe/RON
elseif auswahllinks==7 then
ineuro=eingabe/RUB
end
elseif seitelinks==4 then
if auswahllinks==1 then
ineuro=eingabe/TRY
elseif auswahllinks==2 then
ineuro=eingabe/JPY
elseif auswahllinks==3 then
ineuro=eingabe/CNY
elseif auswahllinks==4 then
ineuro=eingabe/HKD
elseif auswahllinks==5 then
ineuro=eingabe/INR
elseif auswahllinks==6 then
ineuro=eingabe/THB
elseif auswahllinks==7 then
ineuro=eingabe/KRW
end
elseif seitelinks==5 then
if auswahllinks==1 then
ineuro=eingabe/IDR
elseif auswahllinks==2 then
ineuro=eingabe/PHP
elseif auswahllinks==3 then
ineuro=eingabe/MYR
elseif auswahllinks==4 then
ineuro=eingabe/SGD
elseif auswahllinks==5 then
ineuro=eingabe/AUD
elseif auswahllinks==6 then
ineuro=eingabe/NZD
elseif auswahllinks==7 then
ineuro=eingabe/ZAR
end
end
if seiterechts==1 then
if auswahlrechts==1 then
ausgabe=ineuro*USD
elseif auswahlrechts==2 then
ausgabe=ineuro*CAD
elseif auswahlrechts==3 then
ausgabe=ineuro*MXN
elseif auswahlrechts==4 then
ausgabe=ineuro*BRL
elseif auswahlrechts==5 then
ausgabe=ineuro
elseif auswahlrechts==6 then
ausgabe=ineuro*GBP
elseif auswahlrechts==7 then
ausgabe=ineuro*CHF
end
elseif seiterechts==2 then
if auswahlrechts==1 then
ausgabe=ineuro*DEM
elseif auswahlrechts==2 then
ausgabe=ineuro*PLN
elseif auswahlrechts==3 then
ausgabe=ineuro*LTL
elseif auswahlrechts==4 then
ausgabe=ineuro*LVL
elseif auswahlrechts==5 then
ausgabe=ineuro*EEK
elseif auswahlrechts==6 then
ausgabe=ineuro*CZK
elseif auswahlrechts==7 then
ausgabe=ineuro*HUF
end
elseif seiterechts==3 then
if auswahlrechts==1 then
ausgabe=ineuro*SEK
elseif auswahlrechts==2 then
ausgabe=ineuro*NOK
elseif auswahlrechts==3 then
ausgabe=ineuro*DKK
elseif auswahlrechts==4 then
ausgabe=ineuro*HRK
elseif auswahlrechts==5 then
ausgabe=ineuro*BGN
elseif auswahlrechts==6 then
ausgabe=ineuro*RON
elseif auswahlrechts==7 then
ausgabe=ineuro*RUB
end
elseif seiterechts==4 then
if auswahlrechts==1 then
ausgabe=ineuro*TRY
elseif auswahlrechts==2 then
ausgabe=ineuro*JPY
elseif auswahlrechts==3 then
ausgabe=ineuro*CNY
elseif auswahlrechts==4 then
ausgabe=ineuro*HKD
elseif auswahlrechts==5 then
ausgabe=ineuro*INR
elseif auswahlrechts==6 then
ausgabe=ineuro*THB
elseif auswahlrechts==7 then
ausgabe=ineuro*KRW
end
elseif seiterechts==5 then
if auswahlrechts==1 then
ausgabe=ineuro*IDR
elseif auswahlrechts==2 then
ausgabe=ineuro*PHP
elseif auswahlrechts==3 then
ausgabe=ineuro*MYR
elseif auswahlrechts==4 then
ausgabe=ineuro*SGD
elseif auswahlrechts==5 then
ausgabe=ineuro*AUD
elseif auswahlrechts==6 then
ausgabe=ineuro*NZD
elseif auswahlrechts==7 then
ausgabe=ineuro*ZAR
end
end
end
end
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
laden:activate()
laden:draweasy(60,230)
gross:activate()
gross:print(70,160,schwarz,"PSPMoney v.3.0")
mittel:activate()
mittel:print(180,195,schwarz,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()

--Funktionen Ende

--Automatische Sprachwahl
lang=pge.utils.language()
if lang==PGE_UTILS_LANGUAGE_GERMAN then
sprache="de"
else
sprache="en"
end

--Start der while-Schleife
while pge.running() do
--Manuelle Sprachwahl
if seite==1 then
pge.controls.update()
pge.gfx.startdrawing()
pge.gfx.clearscreen()
bg_spr_akt:activate()
bg_spr_akt:draweasy(0,0)
grosbrit:activate()
grosbrit:draweasy(30,75)
deu:activate()
deu:draweasy(30,105)
if sprache=="en" then
gross:activate()
gross:print(30,30,schwarz,"Select your language")
mittel:activate()
mittel:print(80,77,blau,"English")
mittel:print(80,107,schwarz,"Deutsch")
klein:activate()
klein:print(40,200,schwarz,"Select language and continue.")
elseif sprache=="de" then
gross:activate()
gross:print(30,30,schwarz,"Sprache waehlen")
mittel:activate()
mittel:print(80,77,schwarz,"English")
mittel:print(80,107,blau,"Deutsch")
klein:activate()
klein:print(30,200,schwarz,"Sprache waehlen und fortfahren.")
end
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
if pge.controls.pressed(PGE_CTRL_DOWN) then
if sprache=="en" then
sprache="de"
elseif sprache=="de" then
sprache="en"
end
end
if pge.controls.pressed(PGE_CTRL_UP) then
if sprache=="en" then
sprache="de"
elseif sprache=="de" then
sprache="en"
end
end
if pge.controls.pressed(PGE_CTRL_CROSS) then
seite=2
end
--Sprachwahl Ende

--Hauptseite
elseif seite==2 then
if osk_aktiv==1 then
pge.controls.disable()
elseif osk_aktiv==0 then
pge.controls.enable()
end
pge.controls.update()
pge.gfx.startdrawing()
pge.gfx.clearscreen()
background:activate()
background:draweasy(0,0)
select:activate()
select:draweasy(20,248)
dreieck:activate()
dreieck:draweasy(137,248)
start:activate()
start:draweasy(347,248)


--Deutscher Text
if sprache=="de" then
klein:activate()
klein:print(65,250,schwarz,"Hilfe")
klein:print(164,250,schwarz,"Wechselkurse aktualisieren")
klein:print(392,250,schwarz,"Beenden")

mittelklein:activate()
mittelklein:print(113,6,schwarz,"(L > mehr...)")
mittelklein:print(353,6,schwarz,"(R > mehr...)")

mittel:activate()
mittel:print(10,5,blau,"Eingabe")
mittel:print(250,5,blau,"Ausgabe")
mittel:print(20,218,schwarz,eingabe)
mittel:print(260,218,schwarz,ausgabe)

if seitelinks==1 then
usa:activate()
usa:draweasy(10,37)
kanada:activate()
kanada:draweasy(10,62)
mexiko:activate()
mexiko:draweasy(10,87)
brasil:activate()
brasil:draweasy(10,112)
eu:activate()
eu:draweasy(10,137)
grosbrit:activate()
grosbrit:draweasy(10,162)
schweiz:activate()
schweiz:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"US-Dollar")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"US-Dollar")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"US-Dollar")
else
klein:activate()
klein:print(55,40,schwarz,"US-Dollar")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Kanadischer Dollar")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Kanadischer Dollar")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Kanadischer Dollar")
else
klein:activate()
klein:print(55,65,schwarz,"Kanadischer Dollar")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Mexikanischer Peso")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Mexikanischer Peso")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Mexikanischer Peso")
else
klein:activate()
klein:print(55,90,schwarz,"Mexikanischer Peso")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Brasilianischer Real")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Brasilianischer Real")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Brasilianischer Real")
else
klein:activate()
klein:print(55,115,schwarz,"Brasilianischer Real")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Euro")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Euro")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Euro")
else
klein:activate()
klein:print(55,140,schwarz,"Euro")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Britisches Pfund")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Britisches Pfund")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Britisches Pfund")
else
klein:activate()
klein:print(55,165,schwarz,"Britisches Pfund")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Schweizer Franken")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Schweizer Franken")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Schweizer Franken")
else
klein:activate()
klein:print(55,190,schwarz,"Schweizer Franken")
end
end
if seitelinks==2 then
deu:activate()
deu:draweasy(10,37)
polen:activate()
polen:draweasy(10,62)
litauen:activate()
litauen:draweasy(10,87)
lettland:activate()
lettland:draweasy(10,112)
estland:activate()
estland:draweasy(10,137)
tschechien:activate()
tschechien:draweasy(10,162)
ungarn:activate()
ungarn:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"Deutsche Mark")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"Deutsche Mark")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"Deutsche Mark")
else
klein:activate()
klein:print(55,40,schwarz,"Deutsche Mark")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Polnischer Zloty")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Polnischer Zloty")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Polnischer Zloty")
else
klein:activate()
klein:print(55,65,schwarz,"Polnischer Zloty")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Litauischer Litas")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Litauischer Litas")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Litauischer Litas")
else
klein:activate()
klein:print(55,90,schwarz,"Litauischer Litas")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Lettischer Lats")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Lettischer Lats")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Lettischer Lats")
else
klein:activate()
klein:print(55,115,schwarz,"Lettischer Lats")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Estnische Krone")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Estnische Krone")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Estnische Krone")
else
klein:activate()
klein:print(55,140,schwarz,"Estnische Krone")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Tschechisch. Krone")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Tschechisch. Krone")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Tschechisch. Krone")
else
klein:activate()
klein:print(55,165,schwarz,"Tschechisch. Krone")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Ungarischer Forint")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Ungarischer Forint")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Ungarischer Forint")
else
klein:activate()
klein:print(55,190,schwarz,"Ungarischer Forint")
end
end
if seitelinks==3 then
schweden:activate()
schweden:draweasy(10,37)
norwegen:activate()
norwegen:draweasy(10,62)
daenemark:activate()
daenemark:draweasy(10,87)
kroatien:activate()
kroatien:draweasy(10,112)
bulgarien:activate()
bulgarien:draweasy(10,137)
rumaenien:activate()
rumaenien:draweasy(10,162)
russland:activate()
russland:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"Schwedische Krone")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"Schwedische Krone")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"Schwedische Krone")
else
klein:activate()
klein:print(55,40,schwarz,"Schwedische Krone")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Norwegische Krone")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Norwegische Krone")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Norwegische Krone")
else
klein:activate()
klein:print(55,65,schwarz,"Norwegische Krone")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Daenische Krone")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Daenische Krone")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Daenische Krone")
else
klein:activate()
klein:print(55,90,schwarz,"Daenische Krone")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Kroatische Kuna")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Kroatische Kuna")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Kroatische Kuna")
else
klein:activate()
klein:print(55,115,schwarz,"Kroatische Kuna")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Bulgarischer Lew")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Bulgarischer Lew")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Bulgarischer Lew")
else
klein:activate()
klein:print(55,140,schwarz,"Bulgarischer Lew")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Rumaenischer Leu")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Rumaenischer Leu")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Rumaenischer Leu")
else
klein:activate()
klein:print(55,165,schwarz,"Rumaenischer Leu")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Russischer Rubel")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Russischer Rubel")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Russischer Rubel")
else
klein:activate()
klein:print(55,190,schwarz,"Russischer Rubel")
end
end
if seitelinks==4 then
tuerkei:activate()
tuerkei:draweasy(10,37)
japan:activate()
japan:draweasy(10,62)
china:activate()
china:draweasy(10,87)
hongkong:activate()
hongkong:draweasy(10,112)
indien:activate()
indien:draweasy(10,137)
thailand:activate()
thailand:draweasy(10,162)
suedkorea:activate()
suedkorea:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"Tuerkische Lira")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"Tuerkische Lira")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"Tuerkische Lira")
else
klein:activate()
klein:print(55,40,schwarz,"Tuerkische Lira")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Japanischer Yen")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Japanischer Yen")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Japanischer Yen")
else
klein:activate()
klein:print(55,65,schwarz,"Japanischer Yen")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Renminbi Yuan")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Renminbi Yuan")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Renminbi Yuan")
else
klein:activate()
klein:print(55,90,schwarz,"Renminbi Yuan")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Hongkong-Dollar")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Hongkong-Dollar")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Hongkong-Dollar")
else
klein:activate()
klein:print(55,115,schwarz,"Hongkong-Dollar")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Indische Rupie")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Indische Rupie")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Indische Rupie")
else
klein:activate()
klein:print(55,140,schwarz,"Indische Rupie")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Thailaend. Baht")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Thailaend. Baht")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Thailaend. Baht")
else
klein:activate()
klein:print(55,165,schwarz,"Thailaend. Baht")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Suedkorean. Won")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Suedkorean. Won")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Suedkorean. Won")
else
klein:activate()
klein:print(55,190,schwarz,"Suedkorean. Won")
end
end
if seitelinks==5 then
indonesien:activate()
indonesien:draweasy(10,37)
philippinen:activate()
philippinen:draweasy(10,62)
malaysia:activate()
malaysia:draweasy(10,87)
singapur:activate()
singapur:draweasy(10,112)
australien:activate()
australien:draweasy(10,137)
neusee:activate()
neusee:draweasy(10,162)
suedafrika:activate()
suedafrika:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"Indones. Rupiah")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"Indones. Rupiah")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"Indones. Rupiah")
else
klein:activate()
klein:print(55,40,schwarz,"Indones. Rupiah")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Philippinisch. Peso")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Philippinisch. Peso")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Philippinisch. Peso")
else
klein:activate()
klein:print(55,65,schwarz,"Philippinisch. Peso")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Malaysisch. Ringgit")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Malaysisch. Ringgit")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Malaysisch. Ringgit")
else
klein:activate()
klein:print(55,90,schwarz,"Malaysisch. Ringgit")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Singapur-Dollar")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Singapur-Dollar")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Singapur-Dollar")
else
klein:activate()
klein:print(55,115,schwarz,"Singapur-Dollar")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Australisch. Dollar")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Australisch. Dollar")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Australisch. Dollar")
else
klein:activate()
klein:print(55,140,schwarz,"Australisch. Dollar")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Neuseeland-Dollar")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Neuseeland-Dollar")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Neuseeland-Dollar")
else
klein:activate()
klein:print(55,165,schwarz,"Neuseeland-Dollar")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Suedafrikan. Rand")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Suedafrikan. Rand")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Suedafrikan. Rand")
else
klein:activate()
klein:print(55,190,schwarz,"Suedafrikan. Rand")
end
end




if seiterechts==1 then
usa:activate()
usa:draweasy(250,37)
kanada:activate()
kanada:draweasy(250,62)
mexiko:activate()
mexiko:draweasy(250,87)
brasil:activate()
brasil:draweasy(250,112)
eu:activate()
eu:draweasy(250,137)
grosbrit:activate()
grosbrit:draweasy(250,162)
schweiz:activate()
schweiz:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"US-Dollar")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"US-Dollar")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"US-Dollar")
else
klein:activate()
klein:print(295,40,schwarz,"US-Dollar")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Kanadischer Dollar")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Kanadischer Dollar")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Kanadischer Dollar")
else
klein:activate()
klein:print(295,65,schwarz,"Kanadischer Dollar")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Mexikanischer Peso")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Mexikanischer Peso")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Mexikanischer Peso")
else
klein:activate()
klein:print(295,90,schwarz,"Mexikanischer Peso")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Brasilianischer Real")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Brasilianischer Real")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Brasilianischer Real")
else
klein:activate()
klein:print(295,115,schwarz,"Brasilianischer Real")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Euro")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Euro")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Euro")
else
klein:activate()
klein:print(295,140,schwarz,"Euro")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Britisches Pfund")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Britisches Pfund")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Britisches Pfund")
else
klein:activate()
klein:print(295,165,schwarz,"Britisches Pfund")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Schweizer Franken")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Schweizer Franken")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Schweizer Franken")
else
klein:activate()
klein:print(295,190,schwarz,"Schweizer Franken")
end
end
if seiterechts==2 then
deu:activate()
deu:draweasy(250,37)
polen:activate()
polen:draweasy(250,62)
litauen:activate()
litauen:draweasy(250,87)
lettland:activate()
lettland:draweasy(250,112)
estland:activate()
estland:draweasy(250,137)
tschechien:activate()
tschechien:draweasy(250,162)
ungarn:activate()
ungarn:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"Deutsche Mark")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"Deutsche Mark")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"Deutsche Mark")
else
klein:activate()
klein:print(295,40,schwarz,"Deutsche Mark")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Polnischer Zloty")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Polnischer Zloty")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Polnischer Zloty")
else
klein:activate()
klein:print(295,65,schwarz,"Polnischer Zloty")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Litauischer Litas")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Litauischer Litas")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Litauischer Litas")
else
klein:activate()
klein:print(295,90,schwarz,"Litauischer Litas")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Lettischer Lats")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Lettischer Lats")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Lettischer Lats")
else
klein:activate()
klein:print(295,115,schwarz,"Lettischer Lats")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Estnische Krone")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Estnische Krone")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Estnische Krone")
else
klein:activate()
klein:print(295,140,schwarz,"Estnische Krone")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Tschechisch. Krone")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Tschechisch. Krone")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Tschechisch. Krone")
else
klein:activate()
klein:print(295,165,schwarz,"Tschechisch. Krone")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Ungarischer Forint")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Ungarischer Forint")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Ungarischer Forint")
else
klein:activate()
klein:print(295,190,schwarz,"Ungarischer Forint")
end
end
if seiterechts==3 then
schweden:activate()
schweden:draweasy(250,37)
norwegen:activate()
norwegen:draweasy(250,62)
daenemark:activate()
daenemark:draweasy(250,87)
kroatien:activate()
kroatien:draweasy(250,112)
bulgarien:activate()
bulgarien:draweasy(250,137)
rumaenien:activate()
rumaenien:draweasy(250,162)
russland:activate()
russland:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"Schwedische Krone")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"Schwedische Krone")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"Schwedische Krone")
else
klein:activate()
klein:print(295,40,schwarz,"Schwedische Krone")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Norwegische Krone")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Norwegische Krone")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Norwegische Krone")
else
klein:activate()
klein:print(295,65,schwarz,"Norwegische Krone")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Daenische Krone")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Daenische Krone")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Daenische Krone")
else
klein:activate()
klein:print(295,90,schwarz,"Daenische Krone")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Kroatische Kuna")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Kroatische Kuna")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Kroatische Kuna")
else
klein:activate()
klein:print(295,115,schwarz,"Kroatische Kuna")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Bulgarischer Lew")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Bulgarischer Lew")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Bulgarischer Lew")
else
klein:activate()
klein:print(295,140,schwarz,"Bulgarischer Lew")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Rumaenischer Leu")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Rumaenischer Leu")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Rumaenischer Leu")
else
klein:activate()
klein:print(295,165,schwarz,"Rumaenischer Leu")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Russischer Rubel")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Russischer Rubel")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Russischer Rubel")
else
klein:activate()
klein:print(295,190,schwarz,"Russischer Rubel")
end
end
if seiterechts==4 then
tuerkei:activate()
tuerkei:draweasy(250,37)
japan:activate()
japan:draweasy(250,62)
china:activate()
china:draweasy(250,87)
hongkong:activate()
hongkong:draweasy(250,112)
indien:activate()
indien:draweasy(250,137)
thailand:activate()
thailand:draweasy(250,162)
suedkorea:activate()
suedkorea:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"Tuerkische Lira")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"Tuerkische Lira")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"Tuerkische Lira")
else
klein:activate()
klein:print(295,40,schwarz,"Tuerkische Lira")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Japanischer Yen")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Japanischer Yen")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Japanischer Yen")
else
klein:activate()
klein:print(295,65,schwarz,"Japanischer Yen")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Renminbi Yuan")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Renminbi Yuan")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Renminbi Yuan")
else
klein:activate()
klein:print(295,90,schwarz,"Renminbi Yuan")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Hongkong-Dollar")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Hongkong-Dollar")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Hongkong-Dollar")
else
klein:activate()
klein:print(295,115,schwarz,"Hongkong-Dollar")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Indische Rupie")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Indische Rupie")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Indische Rupie")
else
klein:activate()
klein:print(295,140,schwarz,"Indische Rupie")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Thailaend. Baht")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Thailaend. Baht")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Thailaend. Baht")
else
klein:activate()
klein:print(295,165,schwarz,"Thailaend. Baht")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Suedkorean. Won")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Suedkorean. Won")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Suedkorean. Won")
else
klein:activate()
klein:print(295,190,schwarz,"Suedkorean. Won")
end
end
if seiterechts==5 then
indonesien:activate()
indonesien:draweasy(250,37)
philippinen:activate()
philippinen:draweasy(250,62)
malaysia:activate()
malaysia:draweasy(250,87)
singapur:activate()
singapur:draweasy(250,112)
australien:activate()
australien:draweasy(250,137)
neusee:activate()
neusee:draweasy(250,162)
suedafrika:activate()
suedafrika:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"Indones. Rupiah")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"Indones. Rupiah")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"Indones. Rupiah")
else
klein:activate()
klein:print(295,40,schwarz,"Indones. Rupiah")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Philippinisch. Peso")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Philippinisch. Peso")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Philippinisch. Peso")
else
klein:activate()
klein:print(295,65,schwarz,"Philippinisch. Peso")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Malaysisch. Ringgit")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Malaysisch. Ringgit")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Malaysisch. Ringgit")
else
klein:activate()
klein:print(295,90,schwarz,"Malaysisch. Ringgit")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Singapur-Dollar")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Singapur-Dollar")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Singapur-Dollar")
else
klein:activate()
klein:print(295,115,schwarz,"Singapur-Dollar")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Australisch. Dollar")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Australisch. Dollar")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Australisch. Dollar")
else
klein:activate()
klein:print(295,140,schwarz,"Australisch. Dollar")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Neuseeland-Dollar")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Neuseeland-Dollar")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Neuseeland-Dollar")
else
klein:activate()
klein:print(295,165,schwarz,"Neuseeland-Dollar")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Suedafrikan. Rand")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Suedafrikan. Rand")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Suedafrikan. Rand")
else
klein:activate()
klein:print(295,190,schwarz,"Suedafrikan. Rand")
end
end
--Deutscher Text Ende


--Englischer Text
elseif sprache=="en" then
klein:activate()
klein:print(65,250,schwarz,"help")
klein:print(164,250,schwarz,"updating the exchange rates")
klein:print(392,250,schwarz,"exit")

mittelklein:activate()
mittelklein:print(113,6,schwarz,"(L > more...)")
mittelklein:print(353,6,schwarz,"(R > more...)")

mittel:activate()
mittel:print(10,5,blau,"Input")
mittel:print(250,5,blau,"Output")
mittel:print(20,218,schwarz,eingabe)
mittel:print(260,218,schwarz,ausgabe)

if seitelinks==1 then
usa:activate()
usa:draweasy(10,37)
kanada:activate()
kanada:draweasy(10,62)
mexiko:activate()
mexiko:draweasy(10,87)
brasil:activate()
brasil:draweasy(10,112)
eu:activate()
eu:draweasy(10,137)
grosbrit:activate()
grosbrit:draweasy(10,162)
schweiz:activate()
schweiz:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"US Dollar")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"US Dollar")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"US Dollar")
else
klein:activate()
klein:print(55,40,schwarz,"US Dollar")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Canadian Dollar")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Canadian Dollar")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Canadian Dollar")
else
klein:activate()
klein:print(55,65,schwarz,"Canadian Dollar")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Mexican Peso")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Mexican Peso")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Mexican Peso")
else
klein:activate()
klein:print(55,90,schwarz,"Mexican Peso")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Brazilian Real")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Brazilian Real")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Brazilian Real")
else
klein:activate()
klein:print(55,115,schwarz,"Brazilian Real")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Euro")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Euro")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Euro")
else
klein:activate()
klein:print(55,140,schwarz,"Euro")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"British Pound")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"British Pound")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"British Pound")
else
klein:activate()
klein:print(55,165,schwarz,"British Pound")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Swiss Franc")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Swiss Franc")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Swiss Franc")
else
klein:activate()
klein:print(55,190,schwarz,"Swiss Franc")
end
end
if seitelinks==2 then
deu:activate()
deu:draweasy(10,37)
polen:activate()
polen:draweasy(10,62)
litauen:activate()
litauen:draweasy(10,87)
lettland:activate()
lettland:draweasy(10,112)
estland:activate()
estland:draweasy(10,137)
tschechien:activate()
tschechien:draweasy(10,162)
ungarn:activate()
ungarn:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"German Mark")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"German Mark")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"German Mark")
else
klein:activate()
klein:print(55,40,schwarz,"German Mark")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Polish Zloty")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Polish Zloty")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Polish Zloty")
else
klein:activate()
klein:print(55,65,schwarz,"Polish Zloty")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Lithuanian Litas")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Lithuanian Litas")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Lithuanian Litas")
else
klein:activate()
klein:print(55,90,schwarz,"Lithuanian Litas")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Latvian Lats")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Latvian Lats")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Latvian Lats")
else
klein:activate()
klein:print(55,115,schwarz,"Latvian Lats")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Estonian Kroon")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Estonian Kroon")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Estonian Kroon")
else
klein:activate()
klein:print(55,140,schwarz,"Estonian Kroon")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Czech Koruna")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Czech Koruna")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Czech Koruna")
else
klein:activate()
klein:print(55,165,schwarz,"Czech Koruna")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Hungarian Forint")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Hungarian Forint")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Hungarian Forint")
else
klein:activate()
klein:print(55,190,schwarz,"Hungarian Forint")
end
end
if seitelinks==3 then
schweden:activate()
schweden:draweasy(10,37)
norwegen:activate()
norwegen:draweasy(10,62)
daenemark:activate()
daenemark:draweasy(10,87)
kroatien:activate()
kroatien:draweasy(10,112)
bulgarien:activate()
bulgarien:draweasy(10,137)
rumaenien:activate()
rumaenien:draweasy(10,162)
russland:activate()
russland:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"Swedish Krona")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"Swedish Krona")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"Swedish Krona")
else
klein:activate()
klein:print(55,40,schwarz,"Swedish Krona")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Norwegian Kroner")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Norwegian Kroner")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Norwegian Kroner")
else
klein:activate()
klein:print(55,65,schwarz,"Norwegian Kroner")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Danish Krone")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Danish Krone")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Danish Krone")
else
klein:activate()
klein:print(55,90,schwarz,"Danish Krone")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Croatian Kuna")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Croatian Kuna")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Croatian Kuna")
else
klein:activate()
klein:print(55,115,schwarz,"Croatian Kuna")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Bulgarian Lev")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Bulgarian Lev")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Bulgarian Lev")
else
klein:activate()
klein:print(55,140,schwarz,"Bulgarian Lev")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Romanian Leu")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Romanian Leu")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Romanian Leu")
else
klein:activate()
klein:print(55,165,schwarz,"Romanian Leu")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Russian Rouble")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Russian Rouble")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Russian Rouble")
else
klein:activate()
klein:print(55,190,schwarz,"Russian Rouble")
end
end
if seitelinks==4 then
tuerkei:activate()
tuerkei:draweasy(10,37)
japan:activate()
japan:draweasy(10,62)
china:activate()
china:draweasy(10,87)
hongkong:activate()
hongkong:draweasy(10,112)
indien:activate()
indien:draweasy(10,137)
thailand:activate()
thailand:draweasy(10,162)
suedkorea:activate()
suedkorea:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"Turkish Lira")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"Turkish Lira")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"Turkish Lira")
else
klein:activate()
klein:print(55,40,schwarz,"Turkish Lira")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Japanese Yen")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Japanese Yen")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Japanese Yen")
else
klein:activate()
klein:print(55,65,schwarz,"Japanese Yen")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Yuan Renminbi")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Yuan Renminbi")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Yuan Renminbi")
else
klein:activate()
klein:print(55,90,schwarz,"Yuan Renminbi")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Hong Kong Dollar")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Hong Kong Dollar")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Hong Kong Dollar")
else
klein:activate()
klein:print(55,115,schwarz,"Hong Kong Dollar")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Indian Rupee")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Indian Rupee")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Indian Rupee")
else
klein:activate()
klein:print(55,140,schwarz,"Indian Rupee")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Thai Baht")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Thai Baht")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Thai Baht")
else
klein:activate()
klein:print(55,165,schwarz,"Thai Baht")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"South-Korean Won")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"South-Korean Won")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"South-Korean Won")
else
klein:activate()
klein:print(55,190,schwarz,"South-Korean Won")
end
end
if seitelinks==5 then
indonesien:activate()
indonesien:draweasy(10,37)
philippinen:activate()
philippinen:draweasy(10,62)
malaysia:activate()
malaysia:draweasy(10,87)
singapur:activate()
singapur:draweasy(10,112)
australien:activate()
australien:draweasy(10,137)
neusee:activate()
neusee:draweasy(10,162)
suedafrika:activate()
suedafrika:draweasy(10,187)
if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"Indonesian Rupiah")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"Indonesian Rupiah")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"Indonesian Rupiah")
else
klein:activate()
klein:print(55,40,schwarz,"Indonesian Rupiah")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Philippine Peso")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Philippine Peso")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Philippine Peso")
else
klein:activate()
klein:print(55,65,schwarz,"Philippine Peso")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Malaysian Ringgit")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Malaysian Ringgit")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Malaysian Ringgit")
else
klein:activate()
klein:print(55,90,schwarz,"Malaysian Ringgit")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Singapore Dollar")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Singapore Dollar")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Singapore Dollar")
else
klein:activate()
klein:print(55,115,schwarz,"Singapore Dollar")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Australian Dollar")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Australian Dollar")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Australian Dollar")
else
klein:activate()
klein:print(55,140,schwarz,"Australian Dollar")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"NewZealand Dollar")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"NewZealand Dollar")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"NewZealand Dollar")
else
klein:activate()
klein:print(55,165,schwarz,"NewZealand Dollar")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"South African Rand")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"South African Rand")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"South African Rand")
else
klein:activate()
klein:print(55,190,schwarz,"South African Rand")
end
end




if seiterechts==1 then
usa:activate()
usa:draweasy(250,37)
kanada:activate()
kanada:draweasy(250,62)
mexiko:activate()
mexiko:draweasy(250,87)
brasil:activate()
brasil:draweasy(250,112)
eu:activate()
eu:draweasy(250,137)
grosbrit:activate()
grosbrit:draweasy(250,162)
schweiz:activate()
schweiz:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"US Dollar")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"US Dollar")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"US Dollar")
else
klein:activate()
klein:print(295,40,schwarz,"US Dollar")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Canadian Dollar")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Canadian Dollar")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Canadian Dollar")
else
klein:activate()
klein:print(295,65,schwarz,"Canadian Dollar")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Mexican Peso")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Mexican Peso")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Mexican Peso")
else
klein:activate()
klein:print(295,90,schwarz,"Mexican Peso")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Brazilian Real")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Brazilian Real")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Brazilian Real")
else
klein:activate()
klein:print(295,115,schwarz,"Brazilian Real")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Euro")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Euro")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Euro")
else
klein:activate()
klein:print(295,140,schwarz,"Euro")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"British Pound")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"British Pound")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"British Pound")
else
klein:activate()
klein:print(295,165,schwarz,"British Pound")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Swiss Franc")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Swiss Franc")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Swiss Franc")
else
klein:activate()
klein:print(295,190,schwarz,"Swiss Franc")
end
end
if seiterechts==2 then
deu:activate()
deu:draweasy(250,37)
polen:activate()
polen:draweasy(250,62)
litauen:activate()
litauen:draweasy(250,87)
lettland:activate()
lettland:draweasy(250,112)
estland:activate()
estland:draweasy(250,137)
tschechien:activate()
tschechien:draweasy(250,162)
ungarn:activate()
ungarn:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"German Mark")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"German Mark")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"German Mark")
else
klein:activate()
klein:print(295,40,schwarz,"German Mark")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Polish Zloty")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Polish Zloty")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Polish Zloty")
else
klein:activate()
klein:print(295,65,schwarz,"Polish Zloty")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Lithuanian Litas")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Lithuanian Litas")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Lithuanian Litas")
else
klein:activate()
klein:print(295,90,schwarz,"Lithuanian Litas")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Latvian Lats")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Latvian Lats")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Latvian Lats")
else
klein:activate()
klein:print(295,115,schwarz,"Latvian Lats")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Estonian Kroon")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Estonian Kroon")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Estonian Kroon")
else
klein:activate()
klein:print(295,140,schwarz,"Estonian Kroon")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Czech Koruna")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Czech Koruna")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Czech Koruna")
else
klein:activate()
klein:print(295,165,schwarz,"Czech Koruna")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Hungarian Forint")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Hungarian Forint")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Hungarian Forint")
else
klein:activate()
klein:print(295,190,schwarz,"Hungarian Forint")
end
end
if seiterechts==3 then
schweden:activate()
schweden:draweasy(250,37)
norwegen:activate()
norwegen:draweasy(250,62)
daenemark:activate()
daenemark:draweasy(250,87)
kroatien:activate()
kroatien:draweasy(250,112)
bulgarien:activate()
bulgarien:draweasy(250,137)
rumaenien:activate()
rumaenien:draweasy(250,162)
russland:activate()
russland:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"Swedish Krona")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"Swedish Krona")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"Swedish Krona")
else
klein:activate()
klein:print(295,40,schwarz,"Swedish Krona")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Norwegian Kroner")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Norwegian Kroner")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Norwegian Kroner")
else
klein:activate()
klein:print(295,65,schwarz,"Norwegian Kroner")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Danish Krone")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Danish Krone")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Danish Krone")
else
klein:activate()
klein:print(295,90,schwarz,"Danish Krone")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Croatian Kuna")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Croatian Kuna")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Croatian Kuna")
else
klein:activate()
klein:print(295,115,schwarz,"Croatian Kuna")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Bulgarian Lev")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Bulgarian Lev")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Bulgarian Lev")
else
klein:activate()
klein:print(295,140,schwarz,"Bulgarian Lev")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Romanian Leu")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Romanian Leu")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Romanian Leu")
else
klein:activate()
klein:print(295,165,schwarz,"Romanian Leu")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Russian Rouble")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Russian Rouble")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Russian Rouble")
else
klein:activate()
klein:print(295,190,schwarz,"Russian Rouble")
end
end
if seiterechts==4 then
tuerkei:activate()
tuerkei:draweasy(250,37)
japan:activate()
japan:draweasy(250,62)
china:activate()
china:draweasy(250,87)
hongkong:activate()
hongkong:draweasy(250,112)
indien:activate()
indien:draweasy(250,137)
thailand:activate()
thailand:draweasy(250,162)
suedkorea:activate()
suedkorea:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"Turkish Lira")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"Turkish Lira")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"Turkish Lira")
else
klein:activate()
klein:print(295,40,schwarz,"Turkish Lira")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Japanese Yen")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Japanese Yen")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Japanese Yen")
else
klein:activate()
klein:print(295,65,schwarz,"Japanese Yen")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Yuan Renminbi")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Yuan Renminbi")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Yuan Renminbi")
else
klein:activate()
klein:print(295,90,schwarz,"Yuan Renminbi")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Hong Kong Dollar")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Hong Kong Dollar")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Hong Kong Dollar")
else
klein:activate()
klein:print(295,115,schwarz,"Hong Kong Dollar")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Indian Rupee")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Indian Rupee")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Indian Rupee")
else
klein:activate()
klein:print(295,140,schwarz,"Indian Rupee")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Thai Baht")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Thai Baht")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Thai Baht")
else
klein:activate()
klein:print(295,165,schwarz,"Thai Baht")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"South-Korean Won")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"South-Korean Won")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"South-Korean Won")
else
klein:activate()
klein:print(295,190,schwarz,"South-Korean Won")
end
end
if seiterechts==5 then
indonesien:activate()
indonesien:draweasy(250,37)
philippinen:activate()
philippinen:draweasy(250,62)
malaysia:activate()
malaysia:draweasy(250,87)
singapur:activate()
singapur:draweasy(250,112)
australien:activate()
australien:draweasy(250,137)
neusee:activate()
neusee:draweasy(250,162)
suedafrika:activate()
suedafrika:draweasy(250,187)
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"Indonesian Rupiah")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"Indonesian Rupiah")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"Indonesian Rupiah")
else
klein:activate()
klein:print(295,40,schwarz,"Indonesian Rupiah")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Philippine Peso")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Philippine Peso")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Philippine Peso")
else
klein:activate()
klein:print(295,65,schwarz,"Philippine. Peso")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Malaysian Ringgit")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Malaysian Ringgit")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Malaysian Ringgit")
else
klein:activate()
klein:print(295,90,schwarz,"Malaysian Ringgit")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Singapore Dollar")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Singapore Dollar")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Singapore Dollar")
else
klein:activate()
klein:print(295,115,schwarz,"Singapore Dollar")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Australian Dollar")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Australian Dollar")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Australian Dollar")
else
klein:activate()
klein:print(295,140,schwarz,"Australian Dollar")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"NewZealand Dollar")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"NewZealand Dollar")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"NewZealand Dollar")
else
klein:activate()
klein:print(295,165,schwarz,"NewZealand Dollar")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"South African Rand")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"South African Rand")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"South African Rand")
else
klein:activate()
klein:print(295,190,schwarz,"South African Rand")
end
end
end
--Englischer Text Ende



pge.gfx.enddrawing()


if pge.controls.pressed(PGE_CTRL_RIGHT) or pge.controls.pressed(PGE_CTRL_LEFT) then
stellerechtsalt=stellerechts
stellerechts=stellelinks
stellelinks=stellerechtsalt
end

if pge.controls.pressed(PGE_CTRL_UP) then
if stellelinks==1 then
stellelinks=7
elseif stellelinks~=0 then
stellelinks=stellelinks-1
end
if stellerechts==1 then
stellerechts=7
elseif stellerechts~=0 then
stellerechts=stellerechts-1
end
end

if pge.controls.pressed(PGE_CTRL_DOWN) then
if stellelinks==7 then
stellelinks=1
elseif stellelinks~=0 then
stellelinks=stellelinks+1
end
if stellerechts==7 then
stellerechts=1
elseif stellerechts~=0 then
stellerechts=stellerechts+1
end
end

if pge.controls.pressed(PGE_CTRL_CROSS) then
if stellelinks~= 0 then
auswahllinks=stellelinks
elseif stellerechts~= 0 then
auswahlrechts=stellerechts
end
end

if pge.controls.pressed(PGE_CTRL_SQUARE) then
seiterechtsalt=seiterechts
seiterechts=seitelinks
seitelinks=seiterechtsalt
auswahlrechtsalt=auswahlrechts
auswahlrechts=auswahllinks
auswahllinks=auswahlrechtsalt
end

if pge.controls.pressed(PGE_CTRL_RTRIGGER) then
if seiterechts==5 then
seiterechts=1
else
seiterechts=seiterechts+1
end
end

if pge.controls.pressed(PGE_CTRL_LTRIGGER) then
if seitelinks==5 then
seitelinks=1
else
seitelinks=seitelinks+1
end
end

if pge.controls.pressed(PGE_CTRL_CIRCLE) then
pge.utils.oskinit("Der Punkt entspricht dem Komma.",eingabe)
osk_aktiv=1
eingabe_alt=eingabe
end

if osk_aktiv==1 then
done, eingabe = pge.utils.oskupdate()
if done then
osk_aktiv=0
else
eingabe=eingabe_alt
end
end

if pge.controls.pressed(PGE_CTRL_START) then
pge.exit()
end

if pge.controls.pressed(PGE_CTRL_SELECT) then
seite=3
end

if pge.controls.pressed(PGE_CTRL_TRIANGLE) then
seite=4
end

if osk_aktiv==0 then
ausrechnen()
end
pge.gfx.swapbuffers()
--Ende Hauptseite

--Hilfeseite
elseif seite==3 then
pge.controls.update()
pge.gfx.startdrawing()
pge.gfx.clearscreen()
backgroundhilfe:activate()
backgroundhilfe:draweasy(0,0)
leftright:activate()
leftright:draweasy(10,83)
updown:activate()
updown:draweasy(10,108)
cross:activate()
cross:draweasy(20,133)
kreis:activate()
kreis:draweasy(260,83)
quadrat:activate()
quadrat:draweasy(260,108)
dreieck:activate()
dreieck:draweasy(260,133)
select:activate()
select:draweasy(250,158)
--Deutscher Text
if sprache=="de" then
gross:activate()
gross:print(90,5,blau,"PSPMoney v.3.0")
mittel:activate()
mittel:print(10,38,rot,"Hinweis: Punkt entspricht Komma!")
mittel:print(10,59,schwarz,"Tasten")
mittel:print(10,181,schwarz,"Credits")
mittelklein:activate()
mittelklein:print(10,160,schwarz,"L/R")
klein:activate()
klein:print(55,87,schwarz,"Zw. Ein-/Ausgabe wechseln")
klein:print(55,112,schwarz,"Waehrung wechseln")
klein:print(55,137,schwarz,"Waehrung auswaehlen")
klein:print(55,162,schwarz,"Mehr Waehrungen")
klein:print(295,87,schwarz,"Betrag eingeben + umrechnen")
klein:print(295,112,schwarz,"E./A. umkehren + umrechnen")
klein:print(295,137,schwarz,"Sprache nun manuell waehlen")
klein:print(295,162,schwarz,"Zurueck zum Rechner")
klein:print(10,208,schwarz,"made by A. Brummer alias uPSP_08")
klein:print(10,223,schwarz,"Vielen Dank an bumuckl.com, InsertWittyName und MK2k (fuer PGE)")
klein:print(10,238,schwarz,"Wechselkurse von der Europaeischen Zentralbank")
klein:print(10,253,schwarz,"Besuche pspking.de und alexwebsite.de.tt")
--Deutscher Text Ende
elseif sprache=="en" then
--Englischer Text
gross:activate()
gross:print(90,5,blau,"PSPMoney v.3.0")
mittel:activate()

mittel:print(10,59,schwarz,"Buttons")
mittel:print(10,181,schwarz,"Credits")
mittelklein:activate()
mittelklein:print(10,160,schwarz,"L/R")
klein:activate()
klein:print(55,87,schwarz,"switch input/output")
klein:print(55,112,schwarz,"switch currency")
klein:print(55,137,schwarz,"select currency")
klein:print(55,162,schwarz,"More currencies")
klein:print(295,87,schwarz,"edit amount + calculate")
klein:print(295,112,schwarz,"change in./out. + calculate")
klein:print(295,137,schwarz,"Select language manually")
klein:print(295,162,schwarz,"Back")
klein:print(10,208,schwarz,"made by A. Brummer alias uPSP_08")
klein:print(10,223,schwarz,"Thanks to bumuckl.com, InsertWittyName and MK2k (for PGE)")
klein:print(10,238,schwarz,"Exchange rates from European Central Bank")
klein:print(10,253,schwarz,"Visit pspking.de and alexwebsite.de.tt")
end
--Englischer Text Ende
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
if pge.controls.pressed(PGE_CTRL_SELECT) then
seite=2
end
if pge.controls.pressed(PGE_CTRL_TRIANGLE) then
seite=1
end
--Ende Hilfeseite

--Aktualisierungsseite
elseif seite==4 then
phase=1
while phase==1 do
pge.controls.update()
pge.gfx.startdrawing()
pge.gfx.clearscreen()
bg_spr_akt:activate()
bg_spr_akt:draweasy(0,0)
dreieck:activate()
dreieck:draweasy(20,96)
select:activate()
select:draweasy(10,121)
--Deutscher Text
if sprache=="de" then
mittel:activate()
mittel:print(10,10,blau,"Aktualisierung der Wechselkurse")
klein:activate()
klein:print(10,45,schwarz,"Du kannst hier aktuellere Wechselkurse herunterladen.")
klein:print(10,65,schwarz,"Die Wechselkurse auf deinem System sind momentan vom "..datum..".")
klein:print(55,100,schwarz,"Download starten.")
klein:print(55,125,schwarz,"Zurueckkehren.")
--Deutscher Text Ende
elseif sprache=="en" then
--Englischer Text
mittel:activate()
mittel:print(10,10,blau,"Updating the exchange rates")
klein:activate()
klein:print(10,45,schwarz,"You can update the exchange rates here.")
klein:print(10,65,schwarz,"The current exchange rates on your system are from "..datum..".")
klein:print(55,100,schwarz,"Start downloading.")
klein:print(55,125,schwarz,"Back.")
end
--Englischer Text Ende

if pge.controls.pressed(PGE_CTRL_TRIANGLE) then
phase=2
break
end

pge.gfx.enddrawing()
pge.gfx.swapbuffers()

if pge.controls.pressed(PGE_CTRL_SELECT) then
seite=2
break
end
end

if phase==2 then
pge.net.init()
pge.utils.netinit()
state = -1
end
while phase==2 do
pge.gfx.startdrawing()
pge.gfx.clearscreen()
pge.gfx.enddrawing()
state = pge.utils.netupdate()
if state == 0 then
phase=3
break
elseif state == 1 then
pge.net.shutdown()
phase=3
break
elseif state ~= PGE_UTILS_DIALOG_RUNNING then
pge.net.shutdown()
phase=3
break
end
pge.gfx.swapbuffers()
end
while phase==3 do
pge.gfx.startdrawing()
pge.gfx.clearscreen()
bg_spr_akt:activate()
bg_spr_akt:draweasy(0,0)
mittel:activate()
if pge.net.isconnected() then
--Deutscher Text
if sprache=="de" then
mittel:printcenter(130,schwarz,"Laedt herunter...")
--Deutscher Text Ende
elseif sprache=="en" then
--Englischer Text
mittel:printcenter(130,schwarz,"Downloading...")
end
--Englischer Text Ende
else
--Deutscher Text
if sprache=="de" then
mittel:printcenter(130,schwarz,"Keine Verbindung - kein Download moeglich.")
--Deutscher Text Ende
elseif sprache=="en" then
--Englischer Text
mittel:printcenter(130,schwarz,"Not connected - Unable to download.")
end
--Englischer Text Ende
end
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
if pge.net.isconnected() then
pge.net.getfile("http://www.ecb.europa.eu/stats/eurofxref/eurofxref-daily.xml","eurofxref-daily.xml")
pge.net.shutdown()
phase=4
end
break
end
if phase==4 then
--Variablen
linie={}
inhalt="--Wechselkurse zum Euro\nDEM=1.95583\n"
--oeffnen der XML-Datei
xmldatei=io.open("eurofxref-daily.xml","r")

--zeilenweise Ueberpruefung
for line in xmldatei:lines() do
linie[line]=line

--nach dem Datum suchen und zu inhalt hinzufuegen
if string.find(linie[line],"time=")~=nil then
anfangtime,endetime=string.find(linie[line],"time=")
anfangzeilende,endezeilende=string.find(linie[line],">")
datum="\""..string.sub(linie[line],endetime+2,anfangzeilende-2).."\""
inhalt=inhalt.."datum="..datum.."\n"
end

--nach den Waehrungen und den Wechselkursen suchen und zu inhalt hinzufügen
if string.find(linie[line],"currency=")~=nil then
anfangcurrency,endecurrency=string.find(linie[line],"currency=")
anfangrate,enderate=string.find(linie[line],"rate=")
anfangzeilende,endezeilende=string.find(linie[line],"/>")
currency=string.sub(linie[line],endecurrency+2,anfangrate-3)
rate=string.sub(linie[line],enderate+2,anfangzeilende-2)
inhalt=inhalt..currency.."="..rate.."\n"
end
end

--schliessen der XML-Datei
xmldatei:close()

--oeffnen/erstellen der neuen LUA-Datei, inhalt hineinschreiben und schliessen
kursdatei=io.open("wechselkurse.lua","w")
kursdatei:write(inhalt)
kursdatei:close()

if pge.file.exists(pge.dir.getcwd().."/wechselkurse.lua") then
dofile(pge.dir.getcwd().."/wechselkurse.lua")
end
pge.gfx.startdrawing()
pge.gfx.clearscreen()
bg_spr_akt:activate()
bg_spr_akt:draweasy(0,0)
--Deutscher Text
if sprache=="de" then
mittel:activate()
mittel:printcenter(115,schwarz,"Update der Wechselkurse erfolgreich.")
klein:activate()
klein:printcenter(140,schwarz,"Die Wechselkurse sind nun vom "..datum..".")
--Deutscher Text Ende
elseif sprache=="en" then
--Englischer Text
mittel:activate()
mittel:printcenter(115,schwarz,"Update successful.")
klein:activate()
klein:printcenter(140,schwarz,"The new exchange rates are from "..datum..".")
end
--Englischer Text Ende
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
pge.delay(4000000)
end

seite=2


--Ende Aktualisierungsseite

end
--Ende if
end
--Ende while-Schleife
